org.keycloak.dom.saml.common

## Class CommonConditionsType

- java.lang.Object
- - org.keycloak.dom.saml.common.CommonConditionsType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ConditionsType, SAML11ConditionsType

      public class CommonConditionsType
      extends Object
      implements Serializable

  Since:
    Jun 22, 2011
  Author:
    Anil.Saldhana@redhat.com
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected XMLGregorianCalendar` | `notBefore`
    `protected XMLGregorianCalendar` | `notOnOrAfter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommonConditionsType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XMLGregorianCalendar` | `getNotBefore()` Gets the value of the notBefore property.
    `XMLGregorianCalendar` | `getNotOnOrAfter()` Gets the value of the notOnOrAfter property.
    `void` | `setNotBefore(XMLGregorianCalendar value)` Sets the value of the notBefore property.
    `void` | `setNotOnOrAfter(XMLGregorianCalendar value)` Sets the value of the notOnOrAfter property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### notBefore

          protected XMLGregorianCalendar notBefore

    - #### notOnOrAfter

          protected XMLGregorianCalendar notOnOrAfter

  - ### Constructor Detail

    - #### CommonConditionsType

          public CommonConditionsType()

  - ### Method Detail

    - #### getNotBefore

          public XMLGregorianCalendar getNotBefore()

      Gets the value of the notBefore property.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setNotBefore

          public void setNotBefore(XMLGregorianCalendar value)

      Sets the value of the notBefore property.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getNotOnOrAfter

          public XMLGregorianCalendar getNotOnOrAfter()

      Gets the value of the notOnOrAfter property.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setNotOnOrAfter

          public void setNotOnOrAfter(XMLGregorianCalendar value)

      Sets the value of the notOnOrAfter property.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

Copyright © 2021 JBoss by Red Hat. All rights reserved.